List triggers
curl --request GET \
--url https://api.deck.co/v2/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"condition": {
"type": "<string>",
"cron": "<string>",
"timezone": "<string>"
},
"task_id": "<string>",
"credential_ids": [
"<string>"
],
"credential_filter": {
"source_ids": [
"<string>"
],
"status": [
"<string>"
]
},
"input": "<unknown>",
"skip_if": {
"last_run": {
"result": "<string>",
"within_seconds": 123
}
},
"concurrency_max": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Triggers
List triggers
Returns a paginated list of triggers in your organization.
GET
/
triggers
List triggers
Authorizations
Secret key (sk_live_...)
Query Parameters
Maximum number of items to return (1-100, default 20)
Cursor from a previous response for pagination.
Filter by status: active or inactive.
Filter to triggers that run this task. Prefixed with task_.
Response
OK
Array of resource objects for the current page.
Show child attributes
Show child attributes
true if there are more results beyond this page.
Opaque cursor string to pass as the cursor query parameter on the next request. null when there are no more pages.
Unique identifier for the API request.
Was this page helpful?
⌘I